NFA upgrade fails with the error in migrator log: Cannot load from mysql.proc

Document ID : KB000057016
Last Modified Date : 14/02/2018
Show Technical Document Details

Issue:

NFA upgrade fails and the following error is thrown in the migrator.log: "Cannot load from mysql.proc. The table is probably corrupted". This problem can happen with the upgrade of any of the NFA components: Console, Harvester or DSA (if a 3-tier architecture).

Environment:

NFA standalone / distributed 9.2 and above

Cause:

This happens due to schema changes required for different MySQL server versions.

Resolution:

The simple fix to this problem is to run the mysql_upgrade command from the command line.

     mysql_upgrade -uroot -p

password is blank so just type then enter

After the work above is complete, run the migrator script to resume the database migration:

     <NFA Install>\NFA\migrator\runMigrator.vbs

The database migration can take a couple of minutes to complete, when it is done, the migrator.log will have an exit code 0 meaning that the database migration is complete.